1 files changed, 9 insertions, 0 deletions
diff --git a/.ci/macos/notarize.sh b/.ci/macos/notarize.sh
index 0b327ac6..d3041250 100755
--- a/.ci/macos/notarize.sh
+++ b/.ci/macos/notarize.sh
@@ -55,6 +55,13 @@ xcrun notarytool submit nheko.dmg --apple-id "${APPLE_DEV_USER}" --password "${A
# OLD altool usage: requestUUID="$(awk -F ' = ' '/RequestUUID/ {print $2}' "$NOTARIZE_SUBMIT_LOG")"
requestUUID="$(awk -F ': ' '/id/ {print $2}' "$NOTARIZE_SUBMIT_LOG" | head -1)"
+if [ -z "${requestUUID}" ]; then
+ echo "Received requestUUID: ${requestUUID}"
+else
+ echo "Something went wrong when submitting the request... we don't have a UUID"
+ exit 1
+fi
+
while sleep 60 && date; do
echo "--> Checking notarization status for ${requestUUID}"
@@ -65,6 +72,8 @@ while sleep 60 && date; do
#isSuccess=$(grep "success" "$NOTARIZE_STATUS_LOG")
#isFailure=$(grep "invalid" "$NOTARIZE_STATUS_LOG")
+ echo "Status for submission ${requestUUID}: ${sub_status}"
+
if [ "${sub_status}" = "Accepted" ]; then
echo "Notarization done!"
xcrun stapler staple -v nheko.dmg
|